Calculate🐧Forum

Где брать бинарные пакеты?

update
#1

Я новичок. Пытался установить Ghromium через emerge Chromium - затребовал 3GB RAM, которых у меня нет. Попытался с флагом I_KNOW_WHAT_I_AM_DOING - результат тот же: не установился. На одном форуме нашёл решение - установка из бинарного пакета. Но где этот бинарный пакет взять??? Google по запросу “calculate linux бинарные пакеты” ничего нужного не выдал

#2

Александр Моруга wrote:

Я новичок. Пытался установить Ghromium через emerge Chromium - затребовал 3GB RAM, которых у меня нет. Попытался с флагом I_KNOW_WHAT_I_AM_DOING - результат тот же: не установился.

Не нужно поднимать флаг I_KNOW_WHAT_I_AM_DOING если это не так :wink:

На одном форуме нашёл решение - установка из бинарного пакета. Но где этот бинарный пакет взять???

Если у вас Calculate Linux, и вы ничего не успели сломать не трогали флаги и профиль, то подавляющее большинство пакетов ставится именно бинарными пакетами:

$ emerge -pva www-client/chromium

Local copy of remote index is up-to-date and will be used.

These are the packages that would be merged, in order:

Calculating dependencies... done!
[binary   R    ] www-client/chromium-71.0.3578.80::gentoo 

Google по запросу “calculate linux бинарные пакеты” ничего нужного не выдал

Его можно понять. Пакеты ставятся по умолчанию из репозитория. Итак, давайте сначала. Что именно у вас стоит и что вы успели в системе перенастроить.

#3

Linux calculate 4.19.14-calculate
Вывод emerge -pva www-client/chromium:

Calculating dependencies… done!
[ebuild N ~] www-client/chromium-72.0.3626.28-r1::gentoo USE=“cups hangouts proprietary-codecs pulseaudio suid -component-build -custom-cflags -gnome-keyring -jumbo-build -kerberos (-neon) -pic (-selinux) (-system-ffmpeg) (-system-icu) (-system-libvpx) (-tcmalloc) (-widevine)” L10N=“am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk vi zh-CN zh-TW” 0 KiB

Total: 1 package (1 new), Size of downloads: 0 KiB
Флаги никакие не перенастраивал

#4

Проверил на дефолтном CLS ставится из бинарника
Наверное USE флаги все таки изменялись

#5

У вас остальные пакеты из бинарников обновляются? Попробуйте так:

emerge -agK www-client/chromium
#6

emerge -agK www-client/chromium

Local copy of remote index is up-to-date and will be used.

* IMPORTANT: 10 news items need reading for repository ‘gentoo’.
* Use eselect news read to view new items.

These are the packages that would be merged, in order:

Calculating dependencies… done!

emerge: there are no binary packages to satisfy “www-client/chromium”.

emerge: searching for similar names…
emerge: Maybe you meant any of these: www-client/fetch, www-client/w3m, www-client/w3mmee?

#7

Флаги никакие не перенастраивал

Перед установкой пакетов не забывайте выполнять `cl-update`. Бинарный пакет может не устанавливаться не только по причине несовпадения флагов, но и в случае устаревания версии сборки. Пакеты пересобираются регулярно при любом изменении eclass-а участвующего в сборке или ebuild-а, даже если номер версии остался прежним.

#8

Апну тему. Проблема по-прежнему осталась: где взять бинарник для любимого и быстрого chromium???
Вот выход emerge -agK www-client/chromium

Local copy of remote index is up-to-date and will be used.

These are the packages that would be merged, in order:

Calculating dependencies… done!

emerge: there are no binary packages to satisfy “www-client/chromium”.

emerge: searching for similar names…
emerge: Maybe you meant any of these: www-client/fetch, www-client/w3m, www-client/w3mmee?

#9

emerge -av chromium предлагает ставить бинарник. Проверяйте USE флаги.
Возможно L10N меняли

#10

Может опции emerge меняли? Покажите
wgetpast /etc/portage/make.conf/custom
А также: eix chromium | wgetpast

У вас 32 бита, увидел в соседнем топике…мне кажется хрома нет на 32…

#11

тут https://old.calculate-linux.org/packages/www-client/chromium написано что есть только ~x86 . Стабильной версии нету

#12

В кальке только стабильные пакеты имеют бинарники. Вам надо где то на стороне его собрать либо скачать deb и на свой страх и риск использовать его. Можно ещё закрытый chrom попробовать поставить.

Пс хром только 64 бит

#13

У меня есть старое ядро и в нём есть Хромиум, попробую собрать бинарник, правда пока не знаю как это делать)

#14

в ебилде написано это
KEYWORDS=“amd64 ~x86”
Если ветка стабильная надо размаскировать пакет

# echo "www-client/chromium ~x86" >> /etc/portage/package.keywords/custom

потом ставим chromium
emerge -av www-client/chromium

#15

Жизнь на 32 битах все тяжелее) бросьте chromium, ставьте firefox он стабильный.

#16

У меня есть firefox, на старом ядре chromium работал заметно быстрее

#17

Ну раз памяти нету,то либо компилировать на подходящем компе, либо распаковать 32 битный deb пакет.
А вообще интернет все тяжелее, вряд-ли новый хромиум будет работать быстро…

#18

Ближайшим обновлением появится бинарный пакет 32 бит. версии chromium.

#19

Сделал бинарный пакет chromium-66.0.3359.140.tbz2 (зашёл в старое ядро - там был хромиум). Как его теперь установить? Куда поместить этот файл и что прописать в make.conf???
Пока что в make.conf:

PORTAGE_TMPDIR=/var/tmp
PORTDIR=/usr/portage
DISTDIR=${PORTDIR}/distfiles
PKGDIR=${PORTDIR}/packages
PORT_LOGDIR=/var/log/portage

Сделал dispatch-conf

Пробовал так: emerge -k =www-client/chromium-66.0.3359.139 на выходе:
emerge: there are no ebuilds to satisfy “=www-client/chromium-66.0.3359.139”.

Пробовал так: emerge -k =www-client/chromium-66.0.3359.139.tbz2 на выходе:
!!! ‘=www-client/chromium-66.0.3359.139.tbz2’ is not a valid package atom.
!!! Please check ebuild(5) for full details.

Пробовал так: emerge -k chromium-66.0.3359.139.tbz2 на выходе:

*** emerging by path is broken and may not always work!!!

Calculating dependencies |
*** You need to adjust PKGDIR to emerge this package: /usr/portage/www-client/chromium/chromium-66.0.3359.139.tbz2

… done!

#20

Чтобы поставить в генте пакет нужен не только:

  • архив-исходник(.tar.gz(bz2,xz и т.д.)) или архив-бинарник(.bz2, *.dep, *.zip, *.rpm, *.run и т.д.) по умолчанию место хранение и тех и тех:

/var/calculate/remote/distfiles/

.

  • Или еще каталог с готовыми архив-бинарниками для вашей системы:

/var/calculate/packages/‘архитектура’/‘pkg-category’/‘pkg-name’.tbz2

Но и подходящий для него ebuild (*.ebuild), по умолчанию находятся в

/usr/portage/‘pkg-category’/‘pkg-name’/‘pkg-version.ebuild’

, а также в дополнительных оверлеях, по умолчанию здесь:

/var/lib/layman/‘overlay-name’/‘pkg-name’/‘pkg-version.ebuild’

Помимо этого, могут быть еще дополнительные файлы (патчи или другие файлы), которые хранятся в подкаталоге рядом с ebuild’ами, например, команда:
find /usr/portage/*/chromium -name files -exec ls {} +

нашла у меня:
chromium-73-gcc-0.patch chromium-73-gcc-3.patch chromium-73-gcc-6.patch chromium-compiler-r7.patch chromium-launcher-r3.sh chromium-73-gcc-1.patch chromium-73-gcc-4.patch chromium-73-xdg-current-desktop.patch chromium.default chromium-widevine-r4.patch chromium-73-gcc-2.patch chromium-73-gcc-5.patch chromium-browser.xml

так что “это вам не это” ©

Mastodon Mastodon